Every example assumes a signed-in session; how to get one is in Authentication
POST/api/ins/sign
No sessionPermission: auth:anonymous
signIn
Parameters of signIn| Name | In | Type | Required |
|---|
code | Body | string 0–64 | No |
email | Body | string 1–320 | Yes |
next | Body | string 0–2048 | No |
password | Body | string 1–1024 | Yes |
curlcurl -X POST 'https://www.notificado.co/api/ins/sign' \
-H 'content-type: application/json' \
-d '{"email":"<email>","password":"<password>"}'
TypeScriptconst response = await fetch('https://www.notificado.co/api/ins/sign', {
method: 'POST',
headers: { 'content-type': 'application/json' },
body: JSON.stringify({
"email": "<email>",
"password": "<password>"
}),
});
const result = await response.json();
Example response
200{
"ok": true,
"userId": "<userId>"
}
Errors
400 X_INPUT_INVALID403 policy denied422 X_BODY_INVALID
POST/api/magic-links/consume
No sessionPermission: auth:anonymous
consumeMagicLink
Parameters of consumeMagicLink| Name | In | Type | Required |
|---|
next | Body | string 0–2048 | No |
token | Body | string 1–2048 | Yes |
curlcurl -X POST 'https://www.notificado.co/api/magic-links/consume' \
-H 'content-type: application/json' \
-d '{"token":"<token>"}'
TypeScriptconst response = await fetch('https://www.notificado.co/api/magic-links/consume', {
method: 'POST',
headers: { 'content-type': 'application/json' },
body: JSON.stringify({
"token": "<token>"
}),
});
const result = await response.json();
Example response
200{
"ok": true,
"userId": "<userId>"
}
Errors
400 X_INPUT_INVALID403 policy denied422 X_BODY_INVALID
POST/api/magic-links/request
No sessionPermission: auth:anonymous
requestMagicLink
Parameters of requestMagicLink| Name | In | Type | Required |
|---|
captchaToken | Body | string 0–4096 | No |
cf-turnstile-response | Body | string 0–4096 | No |
email | Body | string 1–320 | Yes |
h-captcha-response | Body | string 0–4096 | No |
next | Body | string 0–2048 | No |
curlcurl -X POST 'https://www.notificado.co/api/magic-links/request' \
-H 'content-type: application/json' \
-d '{"email":"<email>"}'
TypeScriptconst response = await fetch('https://www.notificado.co/api/magic-links/request', {
method: 'POST',
headers: { 'content-type': 'application/json' },
body: JSON.stringify({
"email": "<email>"
}),
});
const result = await response.json();
Example response
200{
"ok": true
}
Errors
400 X_INPUT_INVALID403 policy denied422 X_BODY_INVALID
POST/api/onboardings/unsubscribe
Firm memberPermission: growth:unsubscribe-link
unsubscribeOnboarding
Parameters of unsubscribeOnboarding| Name | In | Type | Required |
|---|
List-Unsubscribe | Body | string 1–32 | No |
t | Body | string 1–512 | No |
curlcurl -X POST 'https://www.notificado.co/api/onboardings/unsubscribe' \
-b cookies.txt \
-H 'origin: https://www.notificado.co' \
-H 'content-type: application/json' \
-d '{}'
TypeScriptconst response = await fetch('https://www.notificado.co/api/onboardings/unsubscribe', {
method: 'POST',
headers: { 'content-type': 'application/json', origin: 'https://www.notificado.co', cookie: sessionCookie },
body: JSON.stringify({}),
});
const result = await response.json();
Example response
200{
"ok": true
}
Errors
400 X_INPUT_INVALID403 policy denied422 X_BODY_INVALID
POST/api/outs/sign
Firm memberPermission: auth:sign-out
signOut
curlcurl -X POST 'https://www.notificado.co/api/outs/sign' \
-b cookies.txt \
-H 'origin: https://www.notificado.co' \
-H 'content-type: application/json' \
-d '{}'
TypeScriptconst response = await fetch('https://www.notificado.co/api/outs/sign', {
method: 'POST',
headers: { 'content-type': 'application/json', origin: 'https://www.notificado.co', cookie: sessionCookie },
body: JSON.stringify({}),
});
const result = await response.json();
Example response
200{
"ok": true
}
Errors
400 X_INPUT_INVALID403 policy denied422 X_BODY_INVALID
POST/api/password-resets/request
No sessionPermission: auth:anonymous
requestPasswordReset
Parameters of requestPasswordReset| Name | In | Type | Required |
|---|
captchaToken | Body | string 0–4096 | No |
cf-turnstile-response | Body | string 0–4096 | No |
email | Body | string 0–320 | Yes |
h-captcha-response | Body | string 0–4096 | No |
locale | Body | string 0–16 | No |
curlcurl -X POST 'https://www.notificado.co/api/password-resets/request' \
-H 'content-type: application/json' \
-d '{"email":"<email>"}'
TypeScriptconst response = await fetch('https://www.notificado.co/api/password-resets/request', {
method: 'POST',
headers: { 'content-type': 'application/json' },
body: JSON.stringify({
"email": "<email>"
}),
});
const result = await response.json();
Example response
200{
"ok": true
}
Errors
400 X_INPUT_INVALID403 policy denied422 X_BODY_INVALID
POST/api/passwords/reset
No sessionPermission: auth:anonymous
resetPassword
Parameters of resetPassword| Name | In | Type | Required |
|---|
password | Body | string 0–1024 | Yes |
passwordConfirm | Body | string 0–1024 | No |
token | Body | string 0–2048 | Yes |
curlcurl -X POST 'https://www.notificado.co/api/passwords/reset' \
-H 'content-type: application/json' \
-d '{"password":"<password>","token":"<token>"}'
TypeScriptconst response = await fetch('https://www.notificado.co/api/passwords/reset', {
method: 'POST',
headers: { 'content-type': 'application/json' },
body: JSON.stringify({
"password": "<password>",
"token": "<token>"
}),
});
const result = await response.json();
Example response
200{
"ok": true
}
Errors
400 X_INPUT_INVALID403 policy denied422 X_BODY_INVALID
POST/api/ups/sign
No sessionPermission: auth:anonymous
signUp
Parameters of signUp| Name | In | Type | Required |
|---|
captchaToken | Body | string 0–4096 | No |
cf-turnstile-response | Body | string 0–4096 | No |
email | Body | string 1–320 | Yes |
h-captcha-response | Body | string 0–4096 | No |
name | Body | string 1–200 | Yes |
next | Body | string 0–2048 | No |
orgName | Body | string 1–200 | Yes |
password | Body | string 1–1024 | Yes |
referralCode | Body | string 0–40 | No |
termsVersion | Body | string 1–64 | No |
curlcurl -X POST 'https://www.notificado.co/api/ups/sign' \
-H 'content-type: application/json' \
-d '{
"email": "<email>",
"name": "<name>",
"orgName": "<orgName>",
"password": "<password>"
}'
TypeScriptconst response = await fetch('https://www.notificado.co/api/ups/sign', {
method: 'POST',
headers: { 'content-type': 'application/json' },
body: JSON.stringify({
"email": "<email>",
"name": "<name>",
"orgName": "<orgName>",
"password": "<password>"
}),
});
const result = await response.json();
Example response
200{
"ok": true,
"orgId": "<orgId>",
"userId": "<userId>"
}
Errors
400 X_INPUT_INVALID403 policy denied422 X_BODY_INVALID